v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/register-device
Registers an mHealth device. Rights: DeviceActionsPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0A1B2C3D4E5F67890123456789ABCDEF
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest object containing mHealth device registration details.
Show Source
-
inventoryId(required): string
(uuid)
ID of the inventory.
-
mSubjectId(required): string
ID of the subject in mHealth.Example:
B1B8327AFAA6412287106192AB5984EF -
subjectNumber: string
Minimum Length:
0Maximum Length:100Subject number.Example:siteA-1 -
vendorCode: string
Minimum Length:
0Maximum Length:100Vendor code of the cloud to cloud connection type device.Example:XYZ123
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : BootStrapCredResponseDto
Type:
objectContains details about bootstrap device.
Show Source
-
accessId: string
Client access code generated for a bootstrap device.Example:
ABC123 -
id: string
Device instance identifier.Example:
B1B8327AFAA6412287106192AB5984EF -
otp: string
Time-sensitive, one-time authorization code generated by the mHealth Connector Cloud application to bootstrap a device.Example:
ABCD1234
Examples
400 Response
Invalid subject ID OR Device is not dispensed to the subject OR Device is dispensed to a different subject OR Invalid device ID OR Cloud-to-cloud connection type device is already registered OR Device does not have a connection type OR Vendor code is missing for cloud-to-cloud connection type devices OR Vendor code has been specified for device-to-cloud connection type devices OR Subject number is missing for device-to-cloud connection type devices OR Device has a no-connection connection type
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error OR mHealth settings are not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples